---
title: PermissionStatus.state
slug: Web/API/PermissionStatus/state
tags:
  - API
  - Event Handler
  - Experimental
  - PermissionStatus
  - Permissions
  - Permissions API
  - Property
  - Reference
  - status
---
<p>{{APIRef("Permissions API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>state</code></strong> read-only property of the {{domxref("PermissionStatus")}} interface returns the state of a requested permission. This property returns one of <code>'granted'</code>, <code>'denied'</code>, or <code>'prompt'</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>permission</em> = <em>PermissionStatus</em>.state;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.permissions.query({name:'geolocation'}).then(function(permissionStatus) {
  console.log('geolocation permission state is ', permissionStatus.state);
  permissionStatus.onchange = function() {
    console.log('geolocation permission status has changed to ', this.state);
  };
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Permissions API','#dom-permissionstatus-state','state')}}</td>
   <td>{{Spec2('Permissions API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PermissionStatus.state")}}</p>
